# -*- coding: utf-8 -*-
#
# Cookbook Name:: pentestenv
# Recipe:: default
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

git node['pentestenv']['install_dir'] do
  user 'root'
  group 'root'
  repository node['pentestenv']['repository']
  reference node['pentestenv']['reference']
  action :sync
end

link node['pentestenv']['bin_script'] do
  owner 'root'
  group 'root'
  link_type :symbolic
  to "#{node['pentestenv']['install_dir']}/bin/pentest-env"
end

node['pentestenv']['resources'].each do |path, conf|
  pentestenv_rc path do
    owner 'root'
    group 'root'
    cookbook 'pentestenv'
    source 'rc.erb'
    mode '0644'
    config conf
  end
end
